For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Resources
Get started
ReferenceGuidesExamplesChangelog
ReferenceGuidesExamplesChangelog
  • Data API
    • Introduction
  • Token
    • GETGet Authorization User Info
    • GETGet Authorization Info
  • Sites
    • GETList Sites
    • GETGet Site
    • GETGet Custom Domains
    • POSTPublish Site
  • Pages and Components
  • CMS
  • Forms
  • Custom Code
  • Assets
  • Comments
    • GETList Comment Threads
    • GETGet Comment Thread
    • GETList Comment Replies
  • Ecommerce
  • Webhooks
    • GETList Webhooks
    • GETGet Webhook
    • POSTCreate Webhook
    • DELRemove Webhook
  • Site Configuration
  • Enterprise
      • POSTCreate Site
      • PATCHUpdate Site
      • DELDelete Site
      • GETGet Site Plan
LogoLogo
Resources
Get started
EnterpriseWorkspace Management

Get Site Plan

GET
https://api.webflow.com/v2/sites/:site_id/plan
GET
/v2/sites/:site_id/plan
$curl https://api.webflow.com/v2/sites/580e63e98c9a982ac9b8b741/plan \
> -H "Authorization: Bearer <token>"
1{
2 "id": "hosting-business-v4",
3 "name": "Business Hosting",
4 "pricingDetails": "https://webflow.com/pricing"
5}
Get site plan details for the specified Site. <Warning title="Enterprise Only">This endpoint requires an Enterprise workspace.</Warning> Required scope | `sites:read`
Was this page helpful?
Previous
Built with

Get site plan details for the specified Site.

Enterprise Only
This endpoint requires an Enterprise workspace.

Required scope | sites:read

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

site_idstringRequiredformat: "objectid"
Unique identifier for a Site

Response

Request was successful
idenum
ID of the hosting plan.
nameenum
Name of the hosting plan.
pricingInfostring
URL for more information about Webflow hosting plan pricing.

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
429
Too Many Requests Error
500
Internal Server Error